<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatt__write__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatt_write_param_t</compoundname>
    <includes local="no">cy_ble_stack_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatt__write__param__t_1a62ac2975d36edbb3490b4d5517bc6d37" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__pair__t">cy_stc_ble_gatt_handle_value_pair_t</ref></type>
        <definition>cy_stc_ble_gatt_handle_value_pair_t cy_stc_ble_gatt_write_param_t::handleValPair</definition>
        <argsstring />
        <name>handleValPair</name>
        <briefdescription>
<para>handle value pair </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="469" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="469" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatt__write__param__t_1a7926437b7b01816b49319d26f4cdd9a6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gatt_write_param_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="472" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="472" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Write parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="632">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="631">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="630">
        <label>cy_stc_ble_gatt_handle_value_pair_t</label>
        <link refid="structcy__stc__ble__gatt__handle__value__pair__t" />
        <childnode refid="631" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
      </node>
      <node id="629">
        <label>cy_stc_ble_gatt_write_param_t</label>
        <link refid="structcy__stc__ble__gatt__write__param__t" />
        <childnode refid="630" relation="usage">
          <edgelabel>handleValPair</edgelabel>
        </childnode>
        <childnode refid="632" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="474" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="466" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="467" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatt__write__param__t_1a7926437b7b01816b49319d26f4cdd9a6" virt="non-virtual"><scope>cy_stc_ble_gatt_write_param_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatt__write__param__t_1a62ac2975d36edbb3490b4d5517bc6d37" virt="non-virtual"><scope>cy_stc_ble_gatt_write_param_t</scope><name>handleValPair</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>